TECHNICAL SUPPORT

Follow

PowerPoint/Video FAQ - Will the presentation work with versions of Microsoft Office older than 2011?

The information below applies to the following programs: The SLII ExperienceTM 2.0, Optimal Motivation, First-time Manager, Blanchard Management Essentials, Building Trust, Coaching Essentials, Self Leadership


Please refer to your specific version of PowerPoint (Office) below:

Microsoft PowerPoint 2004 and older (Windows, Mac)
Versions of PowerPoint in this category have not been tested for compatibility. They do not offer native support for the .PPTX file format of our presentations.

Microsoft PowerPoint 2007 (Windows)
While the presentation will open and videos will play, the videos will have limited playback controls available.

Microsoft PowerPoint 2008 (Mac)
While the presentation will open and videos will play, the videos will have limited playback controls available.

Microsoft PowerPoint 2010 (Windows)
In order to play the videos embedded into the presentation, PowerPoint 2010 requires that Quicktime be installed. Unfortunately, Apple no longer supports Quicktime for Windows users. We recommended upgrading your version of Microsoft Office to at least 2013 or newer to avoid potential security issues.

If upgrading to a new version of Microsoft Office is not possible, please access your facilitation materials on Blanchard Exchange and locate the Legacy Combined PowerPoint and Video Zip Files section at the bottom of the course. The videos are linked to the presentation, rather than embedded, and should work with various versions of Microsoft Office between 2007 and 2013.

Note that you will need an external media player to play the MP4 videos, and you will also need to extract the files from their ZIP archive before the links to the videos will function correctly.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request